<?php
/**
 * Created by JetBrains PhpStorm.
 * User: ben
 * Date: 3/12/15
 * Time: 11:28 PM
 * To change this template use File | Settings | File Templates.
 */

// Build the Header
$dscf = strtolower(DSCF_DSF_SupportForums_Thread::KEYNAME);
echo DSCF_DSF_Utilities::buildHeader(array(
    'title'=>'Pending Comments',
    'icon'=>WPDEVHUB_CONST_DSF_URL_IMAGES.'/help.png',
    'description'=>'Use this manager to quickly approve pending comments.',
    'buttons'=>array(
        //0=>array('text'=>'Create New Question','params'=>array('page'=>DSCF_DSF_Utilities::buildPageSlug(DSCF_DSF_SupportForums_Main::PAGE_COMMENTS.'&post_type='.$dscf), 'id'=>'new')),
        //1=>array('text'=>'View All','params'=>array('page'=>DSCF_DSF_Utilities::buildPageSlug(DSCF_DSF_SupportForums_Main::PAGE_COMMENTS.'&post_type='.$dscf))),
    )
));


$comments = DSCF_DSF_SupportForums_Comment::getAllUnapproved();

$html = '';

// Prep the objects
$commentObjects = array();
if(!empty($comments)){
    foreach($comments as $commentObject){
        // The "$value" should be an Object representing an item
        // Validate instance type
        if(is_a($commentObject, 'DSCF_DSF_SupportForums_Comment')){
            $commentObjects[] = $commentObject->exportForEditorDisplay();
        }

    }
}


$html .= '<table class="widfat striped dsf-admin-table"><tbody>';

$isOdd = true;

if(!empty($commentObjects) && is_array($commentObjects)){
    foreach($commentObjects as $commentObject){

        if(!$commentObject->approved){
            // Don't need to show this if comment is approved

            $elemId = "DSF_comment_".$commentObject->id;

            $rowStyle = "even thread-even";
            if($isOdd){
                $rowStyle = "odd thread-odd alt thread-alt";
                $isOdd = false;
            }else{
                $isOdd = true;
            }

            $approvalHtml = '<a id="'.$elemId.'_approval_link" href="javascript:DSCF_DSF_Forums_Admin.changeApproval('.$commentObject->id.', 1);">approve</a>';

            $html .= '<tr id="'.$elemId.'" class="byuser '.$rowStyle.'">';

            $html .= '<td class="dsf-width-25per dsf-padding-soft">';

            $html .= 'Submitted on '.$commentObject->dateString;
            $html .= '<br />by user ['.$commentObject->userString.']';
            $html .= '<div class="dsf-div-table">';
            $html .= '<div class="dsf-div-table-cell">';
            $html .= '<a href="admin.php?page=wpdevhub-dsf-comments&id='.$commentObject->id.'">edit comment</a>';
            $html .= ' | ';
            $html .= '<a href="'.get_edit_post_link($commentObject->threadId).'">add reply</a>';
            $html .= ' | ';
            $html .= $approvalHtml;
            $html .= '</div>';
            $html .= '<div class="dsf-div-table-cell dsf-align-right">';
            $html .= '<a href="javascript:DSCF_DSF_Forums_Admin.deleteComment('.$commentObject->id.');">delete</a>';
            $html .= '</div>';
            $html .= '</div>';
            $html .= '</td>';

            $html .= '<td class="dsf-padding-soft">';
            $html .= DSCF_DSF_SupportForums_Comment::getCommentHtml($commentObject);
            $html .= '</td>';

            $html .= '</tr>';

        }

    }
}else{
    // Empty Question List
    $html .= '<tr><td><p>No Pending Comments on File.</p></td></tr>';
}


$html .= '</tbody></table>';


echo $html;


// Close the wrapper
echo DSCF_DSF_Utilities::buildFooter();
